karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject [PROPOSAL] Use paxexam-karaf on Karaf 2.3.x branch
Date Mon, 18 Jun 2012 08:09:01 GMT
Hi all,

Working on karaf-2.3.x branch, I detected issue on the itests after 
upgrading to OSGi 4.3:

https://issues.apache.org/jira/browse/KARAF-1554

As the Karaf 2.3.x itests are based on the 2.2.x ones, they are 
"fragile" and so it's not easy to update pax-runner and/or OSGi 
framework without breaking something else.

That's why I propose to refactore the itests in order to use 
paxexam-karaf (from github): it will simplify the itests and we will be 
able to easily extend it.

WDYT ?

Regards
JB
-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message